//:
// \file
// \author Amitha Perera
// \date   Feb 2003

#include "rgrl_view_generator.h"


rgrl_view_generator::
~rgrl_view_generator()
{
}

rgrl_view_sptr
rgrl_view_generator::
next_view( rgrl_view const&                        curr_view,
           rgrl_match_set_sptr                     curr_matches,
           rgrl_scale_sptr                         curr_scale,
           vcl_vector< rgrl_transformation_sptr >  const&  xforms,
           vcl_vector<rgrl_estimator_sptr> const&  models,
           vcl_vector<double > const &             errors)
{
  rgrl_set_of<rgrl_match_set_sptr> curr_match_sets;
  curr_match_sets.push_back( curr_matches );
  rgrl_set_of<rgrl_scale_sptr> curr_scales;
  curr_scales.push_back( curr_scale );

  return  next_view( curr_view, curr_match_sets, curr_scales, xforms,
                     models, errors);
}
